Package org.eclipse.birt.report.engine.content

# Interface IColumn

All Superinterfaces:
  `IStyledElement`

public interface IColumn extends IStyledElement
column definition used by table content.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getGenerateBy()`
`IStyle`
`getInlineStyle()`
`InstanceID`
`getInstanceID()`
get the instance id of the column.
`String`
`getVisibleFormat()`
`org.eclipse.birt.report.engine.ir.DimensionType`
`getWidth()`
`boolean`
`hasDataItemsInDetail()`
`boolean`
`isColumnHeader()`
`boolean`
`isRepeated()`
`void`
`setGenerateBy(Object generateBy)`
`void`
`setInlineStyle(IStyle style)`
`void`
`setRepeated(boolean isRepeated)`
`void`
`setWidth(org.eclipse.birt.report.engine.ir.DimensionType width)`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement

`getComputedStyle, getStyle, getStyleClass, setStyleClass`

## Method Details

### isColumnHeader

boolean isColumnHeader()

Returns:
  Return this column is a column header or not.

### getWidth

org.eclipse.birt.report.engine.ir.DimensionType getWidth()

Returns:
  Returns the width.

### setWidth

void setWidth(org.eclipse.birt.report.engine.ir.DimensionType width)

### getInstanceID

InstanceID getInstanceID()
get the instance id of the column. the instance id is the unique id of the content.

Returns:

### getVisibleFormat

String getVisibleFormat()

### getInlineStyle

IStyle getInlineStyle()

Returns:
  inline style

### setInlineStyle

void setInlineStyle(IStyle style)

### setGenerateBy

void setGenerateBy(Object generateBy)

### getGenerateBy

Object getGenerateBy()

### hasDataItemsInDetail

boolean hasDataItemsInDetail()

### isRepeated

boolean isRepeated()

### setRepeated

void setRepeated(boolean isRepeated)